Page MenuHomePhabricator

Don't ignore "DoNotArchiveUntil" timestamps written in HTML comments
Closed, ResolvedPublic

Description

Changes in https://gerrit.wikimedia.org/r/#/c/167406/ made archivebot to ignore timestamps written in HTML comments. This was incompatible to a widely used practice of token future timestamps such as https://commons.wikimedia.org/wiki/Template:DNAU and https://en.wikipedia.org/wiki/Template:Do_not_archive_until.

For example, the first section inhttps://commons.wikimedia.org/w/index.php?title=User_talk:Cccefalon&diff=162538244&oldid=162532017 should not have been archived because it included "<!-- [[User:DoNotArchiveUntil]] 11:57, 2 November 2023 (UTC) -->".

Details

Related Gerrit Patches:

Event Timeline

whym created this task.Jun 15 2015, 12:05 AM
whym raised the priority of this task from to Needs Triage.
whym updated the task description. (Show Details)
whym added a project: Pywikibot-archivebot.py.
whym added a subscriber: whym.
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJun 15 2015, 12:05 AM
whym added a subscriber: Mpaa.Jun 15 2015, 12:06 AM
whym added a comment.Jun 15 2015, 12:10 AM

A couple of options:

  • Treat all HTML comments like normal text
  • Make an exception for [[User:DoNotArchiveUntil]] only
  • Follow ClueBot's practice {{User:ClueBot III/DoNotArchiveUntil|1433573833}} instead and modify Commons' template accordingly. (This won't work for already substituted instances.)
whym added a subscriber: jayvdb.Jun 15 2015, 12:23 AM
Fae added a subscriber: Fae.Jun 15 2015, 8:17 AM

Change 218436 had a related patch set uploaded (by Mpaa):
Don't ignore "DoNotArchiveUntil" timestamps

https://gerrit.wikimedia.org/r/218436

whym added a comment.Jun 17 2015, 12:31 PM

Reminder on documentation (basically to myself): If we make DNAU an exception and generally keep ignoring HTML comments, an update to https://www.mediawiki.org/wiki/Manual:Pywikibot/archivebot.py/setup#How_to_prevent_archiving for clarification would be in order.

Change 218436 merged by jenkins-bot:
Don't ignore "DoNotArchiveUntil" timestamps

https://gerrit.wikimedia.org/r/218436

jayvdb closed this task as Resolved.Jun 20 2015, 12:16 AM
jayvdb claimed this task.

Change 223869 had a related patch set uploaded (by Merlijn van Deen):
Don't ignore "DoNotArchiveUntil" timestamps

https://gerrit.wikimedia.org/r/223869

Change 223869 merged by jenkins-bot:
Don't ignore "DoNotArchiveUntil" timestamps

https://gerrit.wikimedia.org/r/223869